Subject: Re: [RFC] fetch: support hideRefs to speed up connectivity checks

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Feb 2023 14:56:26 -0800

Eric Wong <[email-masked]> writes:

> Not sure if this is the right way to go about this...
> If it's close, maybe --exclude-hidden=fetch can be supported.

Yeah, why not.

I however notice error handling in the codepath that deals with
"--exclude-hidden" is  a bit sloppy.

refs.c::parse_hide_refs_config() is nice enough to diagnose a
malformed transfer.hiderefs configuration as an error by returning
-1, and revision.c::hide_refs_config() propagates such an error up,
but revision.c::exclude_hidden_refs() ignores the error from
git_config(), and revision.c::handle_revision_pseudo_opt() ignores
any error from exclude_hidden_refs() anyway.

We may want to tighten it a bit before (ab)using the option in more
contexts.

Thanks.